com.independentsoft.exchange

## Class FileAttachmentInfo

- java.lang.Object
- - com.independentsoft.exchange.AttachmentInfo
  - - com.independentsoft.exchange.FileAttachmentInfo

-     public class FileAttachmentInfo
      extends AttachmentInfo

  Represents a file that is attached to an item in the Exchange store.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileAttachmentInfo()` Initializes a new instance of the FileAttachmentInfo class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isContactPhoto()` Gets whether the file attachment is a contact picture.
    `void` | `setContactPhoto(boolean isContactPhoto)` Sets whether the file attachment is a contact picture.
    `java.lang.String` | `toString()` Converts the value of the current FileAttachmentInfo object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.AttachmentInfo

      `getContentId, getContentLocation, getContentType, getId, getLastModifiedTime, getName, getSize, isInline, setContentId, setContentLocation, setContentType, setId, setInline, setLastModifiedTime, setName, setSize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileAttachmentInfo

          public FileAttachmentInfo()

      Initializes a new instance of the FileAttachmentInfo class.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current FileAttachmentInfo object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### isContactPhoto

          public boolean isContactPhoto()

      Gets whether the file attachment is a contact picture.
      Returns:
        true, if is contact photo

    - #### setContactPhoto

          public void setContactPhoto(boolean isContactPhoto)

      Sets whether the file attachment is a contact picture.
      Parameters:
        `isContactPhoto` - the new contact photo